Bug 509629 - kernel: fd leak if pipe() is called with an invalid address [mrg-1]
kernel: fd leak if pipe() is called with an invalid address [mrg-1]
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.1
All Linux
high Severity high
: 1.1.5
: ---
Assigned To: Red Hat Real Time Maintenance
David Sommerseth
:
Depends On: 509625
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-04 04:11 EDT by Eugene Teo (Security Response)
Modified: 2016-05-22 19:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 509625
Environment:
Last Closed: 2009-07-14 15:11:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2009-07-04 04:11:14 EDT
+++ This bug was initially created as a clone of Bug #509625 +++

Description of problem:
fd leak if pipe() is called with an invalid address.

Though -EFAULT is returned, the file descriptors opened by pipe() call are left open.

Reference:
http://patchwork.kernel.org/patch/33640/
Comment 2 Eugene Teo (Security Response) 2009-07-04 04:20:56 EDT
http://www.chineselinuxuniversity.net/patches/43722.shtml
Comment 3 Luis Claudio R. Goncalves 2009-07-06 11:12:13 EDT
Applied to kernel -124
Comment 7 errata-xmlrpc 2009-07-14 15:11:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1157.html

Note You need to log in before you can comment on or make changes to this bug.